// Created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;

int MAXN = 100000;
const int MAXC = 1000000;

int main(int argc, char* argv[]) {
	registerValidation(argc, argv);

	if (validator.group() == "1") {
		MAXN = 10;
	} else if (validator.group() == "2") {
		MAXN = 50;
	} else if (validator.group() == "3") {
		MAXN = 500;
	} else if (validator.group() == "4") {
		MAXN = 5000;
	}

	int n = inf.readInt(1, MAXN, "n");
	inf.readEoln();
	set<pii> points;
	for (int i = 0; i < n; ++i) {
		int x = inf.readInt(-MAXC, MAXC, format("x_%d", i + 1));
		inf.readSpace();
		int y = inf.readInt(-MAXC, MAXC, format("y_%d", i + 1));
		inf.readEoln();
		ensure(points.insert({x, y}).ss);
	}

	inf.readEof();

	return 0;
}