#include "testlib.h"
#include <iostream>
#include <vector>
#include <set>

using namespace std;

struct clas {
    long long s, f, t;
    clas(long long s, long long f, long long t) : s(s), f(f), t(t) {}
};

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);
    int n = stoi(argv[1]);
    int type = stoi(argv[2]);
    long long dist = stoll(argv[3]);
    long long time_of_pair = stoll(argv[4]);
    long long d = stoll(argv[5]);
    long long t = stoll(argv[6]);
    vector<clas*> info;
    long long nex = t;
    for (int i = 0; i < n; i++) {
        long long st = rnd.next(0ll, dist);
        long long en = rnd.next(1ll, time_of_pair);
        int tp = rnd.next(0, type);
        if (nex + st + en > d - t) continue;
        info.push_back(new clas(nex + st, nex + st + en, tp));
        nex += st + en;
    }
    
    cout << info.size() << " " << d << " " << t << endl;
    shuffle(info.begin(), info.end());
    for (int i = 0; i < info.size(); i++) {
        cout << info[i]->s << " " << info[i]->f << " " << info[i]->t << endl;
    }
    return 0;
}
