#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    unsigned int n = atoi(argv[1]), m = atoi(argv[2]);
    unsigned int slen = atoi(argv[3]);

    println(n, m);
    println(rnd.next(1u, n), rnd.next(1u, m));

    string alpha = "abcdefghijklmnopqrstuvwxyz";
    vector<vector<char>> matrix(n, vector<char>(m, '@'));
    for (unsigned int c = 0; c < alpha.size(); c++) {
        unsigned int i = rnd.next(n), j = rnd.next(m);
        while (matrix[i][j] != '@') {
            i = rnd.next(n);
            j = rnd.next(m);
        }
        matrix[i][j] = alpha[c];
    }

    for (unsigned int i = 0; i < n; i++) {
        for (unsigned int j = 0; j < m; j++) {
            if (matrix[i][j] == '@') {
                matrix[i][j] = alpha[rnd.next(alpha.size())];
            }
            cout << matrix[i][j];
        }
        cout << '\n';
    }
    string s = "";
    for (unsigned int c = 0; c < slen; c++) {
        s.push_back(alpha[rnd.next(alpha.size())]);
    }
    println(s);

}