#include "testlib.h"

using namespace std;

int main(int argc, char *argv[]) {
    registerGen(argc, argv, 1);

    unsigned int n = atoi(argv[1]), m = atoi(argv[2]);
    unsigned int slen = atoi(argv[3]);

    println(n, m);
    println(rnd.next(1u, n), rnd.next(1u, m));

    string alpha = "abcdefghijklmnopqrstuvwxyz";
    vector<vector<char>> matrix(n, vector<char>(m, '@'));
    matrix[0][0] = 'a';
    matrix[n - 1][m - 1] = 'z';
    for (unsigned int c = 1; c < alpha.size() - 1; c++) {
        unsigned int i = rnd.next(n), j = rnd.next(m);
        while (matrix[i][j] != '@') {
            i = rnd.next(n);
            j = rnd.next(m);
        }
        matrix[i][j] = alpha[c];
    }

    for (unsigned int i = 0; i < n; i++) {
        for (unsigned int j = 0; j < m; j++) {
            if (matrix[i][j] == '@') {
                matrix[i][j] = alpha[rnd.next(1u, alpha.size() - 2)];
            }
            cout << matrix[i][j];
        }
        cout << '\n';
    }
    string s = "";
    int t = 0;
    for (unsigned int c = 0; c < slen; c++) {
        if (rnd.next(100) < 97) {
            if (t % 2 == 0) {
                s.push_back('a');
            } else {
                s.push_back('z');
            }
            t++;
        } else {
            s.push_back(alpha[rnd.next(1u, alpha.size() - 2)]);
        }
    }
    println(s);

}