// Generator created by Nikolay Budin

#ifdef DEBUG
#  define _GLIBCXX_DEBUG
#endif
#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include "testlib.h"
#define ff first
#define ss second
#define szof(x) ((int)x.size())
#ifndef LOCAL
#  define cerr __get_ce
#endif

using namespace std;
typedef long long ll;
typedef long double ld;
typedef pair<int, int> pii;
typedef unsigned long long ull;

using namespace __gnu_pbds;
template <typename T> using ordered_set = tree<T, null_type, less<T>, rb_tree_tag, tree_order_statistics_node_update>;
template <typename K, typename V> using ordered_map = tree<K, V, less<K>, rb_tree_tag, tree_order_statistics_node_update>;

int const INF = (int)1e9 + 1e3;
ll const INFL = (ll)1e18 + 1e6;

const int MAXC = 100;

int main(int argc, char* argv[]) {
	registerGen(argc, argv, 1);

	int n = opt<int>(1);
	int part = opt<int>(2);
	int q = (n - part) / 3;
	part = n - q * 3;
	set<pii> points;
	for (int i = 0; i < q; ++i) {
		points.insert({0, -i});
		points.insert({-MAXC, -i + MAXC});
		points.insert({MAXC, -i + MAXC});
	}

	while (szof(points) < n) {
		points.insert({rnd.next(-MAXC + 1, MAXC - 1), rnd.next(-q + 1 + MAXC, MAXC)});
	}

	vector<pii> arr_points(points.begin(), points.end());

	shuffle(arr_points.begin(), arr_points.end());
	cout << n << "\n";
	for (auto p : arr_points) {
		cout << p.ff << " " << p.ss << "\n";
	}

	return 0;
}