#include <bits/stdc++.h>

using namespace std;

struct clas {
    long long s, f, t;
    clas(long long s, long long f, long long t) : s(s), f(f), t(t) {}
};

int cmp(clas* a, clas* b) {
    if (a->s != b->s) {
        return a->s < b->s;
    }
}

int main() {
    long long n, d, t;
    cin >> n >> d >> t;
    std::vector<clas*> classes;
    for (int i = 0; i < n; i++) {
        long long a, b, c;
        cin >> a >> b >> c;
        classes.push_back(new clas(a, b, c));
    }
    std::sort(classes.begin(), classes.end(), cmp);
    queue<int> univ;
    vector<int> used(n);
    for (int i = 0; i < n; i++) {
        if (classes[i]->t == 0) {
            univ.push(i);
            used[i] = 1;
        }
    }
    while(!univ.empty()) {
        int x = univ.front();
        univ.pop();
        if (x > 0 && used[x - 1] == 0 && (classes[x - 1]->f > classes[x]->s - t)) {
            used[x - 1] = 1;
            univ.push(x - 1);
        }
        if (x < n - 1 && used[x + 1] == 0 && (classes[x]->f > classes[x + 1]->s - t)) {
            used[x + 1] = 1;
            univ.push(x + 1);
        }
    }
    int start = 0;
    long long time = 0;
    long long answer = 0;
    for (int i = 0; i < n; i++) {
        if (used[i] == 0) {
            if (start == 0) {
                answer += classes[i]->f - time;
                time = classes[i]->f;
            } else {
                answer += classes[i]->f - time - t;
                time = classes[i]->f;
            }
            start = 0;
        } else {
            if (start == 0) {
                answer += classes[i]->s - time - t;
                time = classes[i]->f;
            } else {
                answer += max(0ll, classes[i]->s - time - 2 * t);
                time = classes[i]->f;
            }
            start = 1;
        }
    }
    if (start == 0) {
        answer += d - time;
    } else {
        answer += d - time - t;
    }
    cout << answer << endl;
    return 0;
}